debchange: "quantal" is the default distribution in precise

Bug #1001068 reported by Paul Collins on 2012-05-18
54
This bug affects 10 people
Affects Status Importance Assigned to Milestone
devscripts (Ubuntu)
Medium
Unassigned
Precise
Medium
Adam Conrad
Quantal
Medium
Unassigned

Bug Description

devscripts 2.11.6ubuntu1.1 alters debchange's default for the distribution field to "quantal". I would imagine that that majority of precise users who invoke debchange will be preparing uploads to precise, i.e. for their PPAs.

From my skim of the devscripts changelog, it looks like this update usually waits until after release. Please consider reverting debchange's default distribution in precise to "precise".

[TESTCASE]
mkdir debian
dch --create -v 0.1 --package foobar 'Test'
dch -r ''
# dpkg-parsechangelog should show 'precise' as distribution

Paul Collins (pjdc) on 2012-05-18
description: updated
summary: - "quantal" is the default distribution in precise
+ debchange: "quantal" is the default distribution in precise
Steve Langasek (vorlon) on 2012-05-18
Changed in devscripts (Ubuntu):
status: New → Triaged
importance: Undecided → Medium
Changed in devscripts (Ubuntu Precise):
importance: Undecided → Medium
status: New → Triaged
Changed in devscripts (Ubuntu Quantal):
status: Triaged → Invalid
eraserix (eraserix) wrote :

I got bitten by this several times already. The manual of dch states that unless you pass -D it will take the distribution from the previous changelog entry.

I see this bug has been marked as "Invalid" without so much as a reason. Why? Especially in the sense of an LTS, the current behaviour seems strange at best. Is it that common to develop for a future release with a current one?

Nevermind, I see that it is only invalid on Quantal, which makes sense.

Stefano Rivera (stefanor) wrote :

Reopening for quantal. I just changed devscripts to use distro-info, and it'll always use the dev release as default

Changed in devscripts (Ubuntu Quantal):
status: Invalid → Triaged
Michael Bienia (geser) wrote :

I can imagine two different use cases:
a) a developer/packager running "precise" and working on a PPA package for "precise"
b) a developer running "precise" and working on a package for "quantal"

I don't know which use case is more common.
I use a quantal chroot to work on packages for quantal, so I'm not affected from this bug but I've to remember the first few days after each release to check the distribution field to not to try to upload to the just released version till the default gets updated.
I can imagine that developers from case b) could get annoyed to always remember to pass the right distribution.

Steve Langasek (vorlon) wrote :

> a) a developer/packager running "precise" and working on a PPA package for "precise"
> b) a developer running "precise" and working on a package for "quantal"
> I don't know which use case is more common.

This has been discussed before (in fact, several cycles in a row) and it's been agreed each time that a) is the more common case which we want the precise packages to support out of the box. Developers working on packages for quantal should prepare them using the quantal tools.

Changed in devscripts (Ubuntu Precise):
assignee: nobody → Adam Conrad (adconrad)
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package devscripts - 2.11.9ubuntu1

---------------
devscripts (2.11.9ubuntu1) quantal; urgency=low

  * scripts/debchange.pl: do *not* use distro-info for deciding the default
    target for an Ubuntu upload; the distro-info package will be updated in
    SRU to include the names of newer releases, but we want dch to always
    default to targeting the release that it's run from, *not* the current
    devel release, since its primary use on stable releases will be for
    preparing ppa uploads. This means we will have to continue updating
    devscripts manually at the opening of each release. LP: #1001068.
 -- Steve Langasek <email address hidden> Wed, 20 Jun 2012 21:03:45 +0000

Changed in devscripts (Ubuntu Quantal):
status: Triaged → Fix Released
Benjamin Drung (bdrung) wrote :

I have committed a solution to the Debian git repository that sets the target distribution for Ubuntu on package build time. This way, just a no-source change upload is enough to update the target distribution.

I have uploaded the attached fix to precise-propose:

devscripts (2.11.6ubuntu1.3) precise-proposed; urgency=low

  * debchange: On Ubuntu always default to targeting the release that it's run
    from, *not* the current devel release, since its primary use on stable
    releases will be for preparing PPA uploads. (LP: #1001068)

 -- Benjamin Drung <email address hidden> Fri, 22 Jun 2012 00:42:44 +0200

Changed in devscripts (Ubuntu Precise):
status: Triaged → Fix Committed
Benjamin Drung (bdrung) on 2012-06-21
description: updated

Hello Paul, or anyone else affected,

Accepted devscripts into precise-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/devscripts/2.11.6ubuntu1.3 in a few hours and then in the -proposed repository. Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you please change the bug tag from verification-needed to verification-done. If it does not, change the tag to verification-failed. In either case details of your testing will help us make a better decision. Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

tags: added: verification-needed
Miklos Juhasz (mjuhasz) wrote :

I tested the proposed package and confirm that it resolves this bug.

tags: added: verification-done
removed: verification-needed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package devscripts - 2.11.6ubuntu1.3

---------------
devscripts (2.11.6ubuntu1.3) precise-proposed; urgency=low

  * debchange: On Ubuntu always default to targeting the release that it's run
    from, *not* the current devel release, since its primary use on stable
    releases will be for preparing PPA uploads. (LP: #1001068)
 -- Benjamin Drung <email address hidden> Fri, 22 Jun 2012 00:42:44 +0200

Changed in devscripts (Ubuntu Precise):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers